using _5_MagicSquares;

var matrix = Calculations.GenerateMatrix_Middle(5);

for (var y = 0; y < matrix.GetLength(1); y++) {
	for (var x = 0; x < matrix.GetLength(0); x++) {
		Console.Write($"{matrix[x,y]} ");
	}
	Console.WriteLine();
}

var isCorrect = Calculations.CheckMatrix(matrix);

Console.WriteLine(isCorrect);
Console.ReadLine();